Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
business_data
/
business_listings
/
search
/
live
Live Business Listings Search Tasks
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/business_data/business_listings/search/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "categories": [
    "<string>"
  ],
  "description": "<string>",
  "title": "<string>",
  "is_claimed": true,
  "location_coordinate": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "limit": 123,
  "offset": 123,
  "offset_token": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "version.status_code": 123,
  "version.status_message": "<string>",
  "version.time": "<string>",
  "version.cost": 123,
  "version.tasks_count": 123,
  "version.tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "result": [
    "<string>"
  ],
  "result.total_count": 123,
  "result.count": 123,
  "result.offset": 123,
  "result.offset_token": "<string>",
  "items": [
    "<string>"
  ],
  "items.type": "<string>",
  "items.title": "<string>",
  "items.original_title": "<string>",
  "items.description": "<string>",
  "items.category": "<string>",
  "items.category_ids": [
    "<string>"
  ],
  "items.additional_categories": [
    "<string>"
  ],
  "items.cid": "<string>",
  "items.feature_id": "<string>",
  "items.address": "<string>",
  "items.address_info": {},
  "items.borough": "<string>",
  "items.city": "<string>",
  "items.zip": "<string>",
  "items.region": "<string>",
  "items.country_code": "<string>",
  "items.place_id": "<string>",
  "items.phone": "<string>",
  "items.url": "<string>",
  "items.domain": "<string>",
  "items.logo": "<string>",
  "items.main_image": "<string>",
  "items.total_photos": 123,
  "items.snippet": "<string>",
  "items.latitude": 123,
  "items.longitude": 123,
  "items.is_claimed": true,
  "items.attributes": {},
  "items.available_attributes": {},
  "items.unavailable_attributes": {},
  "items.place_topics": {},
  "items.rating": {},
  "items.rating_type": "<string>",
  "items.value": 123,
  "items.votes_count": 123,
  "items.rating_max": 123,
  "items.hotel_rating": 123,
  "items.price_level": "<string>",
  "items.rating_distribution": {},
  "items.1": 123,
  "items.2": 123,
  "items.3": 123,
  "items.4": 123,
  "items.5": 123,
  "items.people_also_search": [
    "<string>"
  ],
  "items.work_time": {},
  "items.work_hours": {},
  "items.timetable": {},
  "items.sunday": [
    "<string>"
  ],
  "items.open": {},
  "items.hour": 123,
  "items.minute": 123,
  "items.close": {},
  "items.current_status": "<string>",
  "popular_times": {},
  "popular_times.popular_times_by_days": {},
  "popular_times.sunday": [
    "<string>"
  ],
  "popular_times.time": {},
  "popular_times.hour": 123,
  "popular_times.minute": 123,
  "popular_times.popular_index": 123,
  "local_business_links": [
    "<string>"
  ],
  "local_business_links.type": "<string>",
  "local_business_links.title": "<string>",
  "local_business_links.url": "<string>",
  "contact_info": [
    "<string>"
  ],
  "contact_info.type": "<string>",
  "contact_info.value": "<string>",
  "contact_info.source": "<string>",
  "contact_info.check_url": "<string>",
  "contact_info.last_updated_time": "<string>",
  "contact_info.first_seen": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
categories
string[]

business categories optional field the categories you specify are used to search for business listings; if you don’t use this field, we will return business listings found in the specified location; you can specify up to 10 categories

description
string

description of the element in SERP optional field the description of the business entity for which the results are collected; can contain up to 200 characters

title
string

title of the element in SERP optional field the name of the business entity for which the results are collected; can contain up to 200 characters

is_claimed
boolean

indicates whether the business is verified by its owner on Google Maps optional field

location_coordinate
string

GPS coordinates of a location optional field location_coordinate parameter should be specified in the “latitude,longitude,radius” format the maximum number of decimal digits for “latitude” and “longitude”: 7 the value of “radius” is specified in kilometres (km) the minimum value for “radius”: 1 the maximum value for “radius”: 100000 example: 53.476225,-2.243572,200

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, , `>=`, `=`,, in, not_in, like, not_like, ilike, not_ilike, match, not_match you can use the % operator with like and not_like to match any string of zero or more characters example: ["rating.value",">",3] you can receive the list of available filters by making a separate request to https://api.dataforseo.com/v3/business_data/business_listings/available_filters

order_by
string[]

results sorting rules optional field you can use the same values as in the filters array to sort the results possible sorting types: asc – results will be sorted in the ascending order desc – results will be sorted in the descending order you should use a comma to set up a sorting parameter example: ["rating.value,desc"]note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: ["rating.value,desc","rating.votes_count,desc"]

limit
integer

the maximum number of returned businesses optional field default value: 100 maximum value: 1000

offset
integer

offset in the results array of returned businesses optional field default value: 0 if you specify the 10 value, the first ten entities in the results array will be omitted and the data will be provided for the successive entities

offset_token
string

token for subsequent requests optional field provided in the identical filed of the response to each request; use this parameter to avoid timeouts while trying to obtain over 100,000 results in a single request; by specifying the unique offset_token value from the response array, you will get the subsequent results of the initial task; offset_token values are unique for each subsequent task Note: if the offset_token is specified in the request, all other parameters should be identical to the previous request

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

version.status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

version.status_message
string

general informational message you can find the full list of general informational messages here

version.time
string

execution time, seconds

version.cost
number

total tasks cost, USD

version.tasks_count
integer

*the number of tasks in the **tasks*array

version.tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

unique task identifier in our system in the Universally unique identifier (UUID) format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000

tasks.status_message
string

informational message of the task

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

result
string[]

array of results

result.total_count
integer

total number of results in our database relevant to your request

result.count
integer

item types the number of items in the items array

result.offset
integer

offset in the results array of returned businesses

result.offset_token
string

token for subsequent requests by specifying the unique offset_token when setting a new task, you will get the subsequent results of the initial task; offset_token values are unique for each subsequent task

items
string[]

encountered item types types of search engine results encountered in the items array; possible item types: business_listing

items.type
string

type of element = ‘business_listing’

items.title
string

title of the element in SERP the name of the business entity for which the results are collected

items.original_title
string

original title of the element original title not translated by Google

items.description
string

description of the element in SERP the description of the business entity for which the results are collected

items.category
string

business category Google My Business general category that best describes the services provided by the business entity

items.category_ids
string[]

global category IDs universal category IDs that do not change based on the selected country

items.additional_categories
string[]

additional business categories additional Google My Business categories that describe the services provided by the business entity in more detail

items.cid
string

google-defined client id unique id of a local establishment learn more about the identifier in this help center article

items.feature_id
string

the unique identifier of the element in SERP learn more about the identifier in this help center article

items.address
string

street address of the business entity

items.address_info
object

object containing address components of the business entity

items.borough
string

administrative unit or district the business entity location belongs to

items.city
string

name of the city where the business entity is located

items.zip
string

ZIP code of the business entity

items.region
string

DMA region of the business entity location

items.country_code
string

ISO country code of the business entity location

items.place_id
string

unique place identifier place id of the local establishment featured in the element learn more about the identifier in this help center article

items.phone
string

phone number of the business entity

items.url
string

absolute url of the business entity

items.domain
string

domain of the business entity

URL of the logo featured in Google My Business profile

items.main_image
string

URL of the main image featured in Google My Business profile

items.total_photos
integer

total count of images featured in Google My Business profile

items.snippet
string

additional information on the business entity

items.latitude
number

latitude coordinate of the local establishments in google maps example: "latitude": 51.584091

items.longitude
number

longitude coordinate of the local establishment in google maps example: "longitude": -0.31365919999999997

items.is_claimed
boolean

shows whether the entity is verified by its owner on Google Maps

items.attributes
object

service details in a form of user-reviewed checks; service details of a business entity displayed in a form of checks and based on user feedback and business category

items.available_attributes
object

available attributes indicates attributes a business entity can offer

items.unavailable_attributes
object

unavailable attributes indicates attributes a business entity cannot offer

items.place_topics
object

keywords mentioned in customer reviews contains most popular keywords related to products/services mentioned in customer reviews of a business entity and the number of reviews mentioning each keyword example: "place_topics": {"egg roll": 48,"birthday": 33}

items.rating
object

the element’s rating the popularity rate based on reviews and displayed in SERP

items.rating_type
string

the type of rating here you can find the following elements: Max5, Percents, CustomMax

items.value
integer

the value of the rating

items.votes_count
integer

the amount of feedback

items.rating_max
integer

the maximum value for a rating_type

items.hotel_rating
integer

hotel class rating class ratings range between 1-5 stars, learn more if there is no hotel class rating information, the value will be null

items.price_level
string

property price level can take values: inexpensive, moderate, expensive, very_expensive if there is no price level information, the value will be null

items.rating_distribution
object

the distribution of ratings of the business entity the object displays the number of 1-star to 5-star ratings, as reviewed by users

items.1
integer

the number of 1-star ratings

items.2
integer

the number of 2-star ratings

items.3
integer

the number of 3-star ratings

items.4
integer

the number of 4-star ratings

items.5
integer

the number of 5-star ratings

related business entities

items.work_time
object

work time details information related to operational hours of the business entity

items.work_hours
object

open hours information about work hours of the local establishment

items.timetable
object

work hours timetable

items.sunday
string[]

work hours on Sunday can take values of the corresponding days of the week

items.open
object

opening time

items.hour
integer

hours in the 24-hour format

items.minute
integer

minutes

items.close
object

closing time

items.current_status
string

current status of the establishment possible values: open, close, temporarily_closed, closed_forever

popular times information related to busy hours of the business entity

popular hours information about busy hours of the local establishment on each day of the week

busy hours on Sunday can take values of the corresponding days of the week

busy hours

hours in a 24-hour format

minutes

popularity index relative time-bound popularity index measured from 0 to 100; higher value corresponds to a busier time of a day

available interactions with the business list of options to interact with the business directly from search results

type of element possible values: "reservation""order""delivery_services_element""menu"

title of the element domain of the reservation software

URL to the services

contact_info
string[]

available contacts of the business list of contacts to interact with the business

contact_info.type
string

type of contact element

contact_info.value
string

contact displayed in SERP example: "+119797979736"

contact_info.source
string

data source

contact_info.check_url
string

direct URL to search engine results you can use it to make sure that we provided accurate results

contact_info.last_updated_time
string

date and time when the data was last updated in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2023-01-26 09:03:15 +00:00

contact_info.first_seen
string

date and time when our crawler found the business listing element for the first time in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2023-03-11 10:04:11 +00:00